net.minecraft.client.gui

## Class GuiResourcePackAvailable

- java.lang.Object
- - net.minecraft.client.gui.GuiSlot
  - - net.minecraft.client.gui.GuiListExtended
    - - net.minecraft.client.gui.GuiResourcePackList
      - - net.minecraft.client.gui.GuiResourcePackAvailable

-     public class GuiResourcePackAvailable
      extends GuiResourcePackList

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.client.gui.GuiListExtended

      `GuiListExtended.IGuiListEntry`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.gui.GuiResourcePackList

      `field_148204_l, field_148205_k`

    - ### Fields inherited from class net.minecraft.client.gui.GuiSlot

      `bottom, field_148163_i, headerPadding, height, left, mouseX, mouseY, right, slotHeight, top, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiResourcePackAvailable(Minecraft p_i45054_1_, int p_i45054_2_, int p_i45054_3_, java.util.List p_i45054_4_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `func_148202_k()`

    - ### Methods inherited from class net.minecraft.client.gui.GuiResourcePackList

      `drawListHeader, func_148201_l, getListEntry, getListWidth, getScrollBarX, getSize`

    - ### Methods inherited from class net.minecraft.client.gui.GuiListExtended

      `drawBackground, drawSlot, elementClicked, func_148179_a, func_148181_b, isSelected`

    - ### Methods inherited from class net.minecraft.client.gui.GuiSlot

      `actionPerformed, drawContainerBackground, drawScreen, drawSelectionBox, func_148122_a, func_148124_c, func_148125_i, func_148132_a, func_148135_f, func_148141_e, func_148142_b, func_148143_b, getAmountScrolled, getContentHeight, getSlotHeight, registerScrollButtons, scrollBy, setHasListHeader, setShowSelectionBox, setSlotXBoundsFromLeft`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiResourcePackAvailable

          public GuiResourcePackAvailable(Minecraft p_i45054_1_,
                                  int p_i45054_2_,
                                  int p_i45054_3_,
                                  java.util.List p_i45054_4_)

  - ### Method Detail

    - #### func_148202_k

          protected java.lang.String func_148202_k()

      Specified by:
        `func_148202_k` in class `GuiResourcePackList`